Get incoming agent data

Base URL
https://{kibana_url}
  • GET /api/fleet/agent_status/data
Auth

Get the data streams that an agent is actively sending data to.

Required authorization

Privileges fleet-agents-read

Query parameters

agentsIds string[] · max items: 10000 required

Agent IDs to check data for, as an array or comma-separated string

pkgName string

Filter by integration package name

pkgVersion string

Filter by integration package version

previewData boolean · default: false

When true, return a preview of the ingested data

Responses

Successful response

application/json
dataPreview object[] · max items: 10000 required
items string to object[] · max items: 10000 required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}